CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Recommended modules
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

This module provides a block called "Exposed Filter Data" that prints out the
values of the exposed filter used in a view (from the URL). This can be useful
in the view header.


RECOMMENDED MODULES
-------------------

The [Views Block Area](https://www.drupal.org/project/views_block_area) makes
it easier to place the "Exposed Filter Data" block in the header of a view.
Issue [#2565081](https://www.drupal.org/project/drupal/issues/2565081) provides
additional background as to why.


INSTALLATION
------------

Install as usual, see
https://www.drupal.org/docs/8/extending-drupal-8/installing-contributed-modules-find-import-enable-configure-drupal-8
for further information.

It place the "Exposed Filter Data" block in the header of a view, one easy way
is to enable the Views Block Area module. Then, in the header of the view, add
a "Global: Block area" and select the "Exposed Filter Data" block.

To alter the filter data, implement `hook_exposed_filter_data_params_alter()`.
See exposed_filter_data.api.php for an example.


CONFIGURATION
-------------

This module does not contain any configuration.


MAINTAINERS
-----------

### Current maintainer

Matthew Tift (https://www.drupal.org/u/mtift)

### Previous maintainer

Shushu Inbar (https://www.drupal.org/u/shushu)
