<?php

/**
 * @file
 * Describes methods to alter exposed filter data.
 */

/**
 * Perform alterations on the URL parameters.
 *
 * @param array $params
 *   An array of URL parameters.
 */
function hook_exposed_filter_data_params_alter(&$params) {
  foreach ($params as $filter => $value) {
    if ($filter == 'status') {
      if ($value == 1) {
        $params['Status'] = 'Published';
      }
      elseif ($value == 2) {
        $params['Status'] = 'Not Published';
      }
      unset($params[$filter]);
    }
  }
}
